@alex9456

ZeroMQ на PHP7 Windows?

Не врубается расширение в WAMP(php7) впрочем скачал отдельно php7 (64 TS) версия. Ошибка Warning: PHP Startup: Unable to load dynamic library 'C:/123/ext/php_zmq.dll' - ═х эрщфхэ єърчрээ√щ ьюфєы№. in Unknown on line 0

Поискав - нашел, что расширение не подходит для php7, но https://pecl.php.net/package/zmq/1.1.3/windows - Introduces PHP7 support.

На php 5.6 завелось как часы (требуется именно PHP7)
  • Вопрос задан
  • 1438 просмотров
Пригласить эксперта
Ответы на вопрос 2
@dgavryliv
У меня все работает, версия PHP 7.0.2.
Установка ZMQ для Windows:
1. Скачать архив для своей версии PHP из сайта https://pecl.php.net/package/zmq/1.1.3/windows
2. Скопировать из архива файл php_zmq.dll в папку с разширениями (напр. С:\PHP\ext)
3. Добавить php_zmq.dll в php.ini (extension=php_zmq.dll)
3. Скопировать из архива libzmq.dll и libsodium.dll в root директорию PHP (напр. C:\PHP)
4. Перезапустить apache.
Ответ написан
Комментировать
Поддержка php7 доступно в бета версии. Вы точно используете именно эту бету?
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы